Subject: bug#72437: Unexpected behavior when inserting with prefix arg in electric-pair-mode

From: Eshel Yaron <[email-masked]>
Date: Wed, 14 Aug 2024 07:07:23 +0200

Hi Stefan,

Stefan Monnier writes:

>> Let's hear what Stefan thinks (and anyone else who has an
>> opinion or some case other than electric-pair-mode).
>
> I think the requested behavior makes a lot of sense, but I lost touch
> with the way elec-pair works and interacts with other electric modes, so
> I'm not sure how to make it work without breaking other things.

In case you missed it, the patch I shared upthread might give you
some ideas.  It implements the requested behavior, safely, I think.
So I would just ask Joseph to try it out for a while and see if it
works as expected and if any other issues crop up :)

Cheers,

Eshel